GetAllResourceTypeInfoResponsePBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords.impl.pb, class: GetAllResourceTypeInfoResponsePBImpl

Package org.apache.hadoop.yarn.api.protocolrecords.impl.pb

# Class GetAllResourceTypeInfoResponsePBImpl

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.GetAllResourceTypeInfoResponse
org.apache.hadoop.yarn.api.protocolrecords.impl.pb.GetAllResourceTypeInfoResponsePBImpl

@Private @Unstable public class GetAllResourceTypeInfoResponsePBImpl extends org.apache.hadoop.yarn.api.protocolrecords.GetAllResourceTypeInfoResponse
Protobuf implementation class for the GetAllResourceTypeInfoResponse.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetAllResourceTypeInfoResponsePBImpl()`
  `GetAllResourceTypeInfoResponsePBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.GetAllResourceTypeInfoResponseProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `org.apache.hadoop.yarn.proto.YarnServiceProtos.GetAllResourceTypeInfoResponseProto`
  `getProto()`
  `List<org.apache.hadoop.yarn.api.records.ResourceTypeInfo>`
  `getResourceTypeInfo()`
  `int`
  `hashCode()`
  `void`
  `setResourceTypeInfo(List<org.apache.hadoop.yarn.api.records.ResourceTypeInfo> resourceTypes)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.hadoop.yarn.api.protocolrecords.GetAllResourceTypeInfoResponse

  `newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GetAllResourceTypeInfoResponsePBImpl

    public GetAllResourceTypeInfoResponsePBImpl()

  - ### GetAllResourceTypeInfoResponsePBImpl

    public GetAllResourceTypeInfoResponsePBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.GetAllResourceTypeInfoResponseProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.yarn.proto.YarnServiceProtos.GetAllResourceTypeInfoResponseProto getProto()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `org.apache.hadoop.yarn.api.protocolrecords.GetAllResourceTypeInfoResponse`

  - ### setResourceTypeInfo

    public void setResourceTypeInfo(List<org.apache.hadoop.yarn.api.records.ResourceTypeInfo> resourceTypes)
    Specified by:
      `setResourceTypeInfo` in class `org.apache.hadoop.yarn.api.protocolrecords.GetAllResourceTypeInfoResponse`

  - ### getResourceTypeInfo

    public List<org.apache.hadoop.yarn.api.records.ResourceTypeInfo> getResourceTypeInfo()
    Specified by:
      `getResourceTypeInfo` in class `org.apache.hadoop.yarn.api.protocolrecords.GetAllResourceTypeInfoResponse`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `org.apache.hadoop.yarn.api.protocolrecords.GetAllResourceTypeInfoResponse`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`